Bug 817174 - Use proper cartridge names on the add cart page
Use proper cartridge names on the add cart page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
1.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 18:16 EDT by Clayton Coleman
Modified: 2012-07-13 19:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ruby1.9 cartridge (34.79 KB, image/png)
2012-06-26 01:42 EDT, Xiaoli Tian
no flags Details

  None (edit)
Description Clayton Coleman 2012-04-27 18:16:29 EDT
We should start using @cartridge.type -> to return a cartridge type object from CartridgeTypes, and we should change @cartridge.name to return the pretty name.  @cartridge.id can be used for the underlying identifier.

Unrecognized cartridges should not cause errors (just use id for name)
Comment 1 Clayton Coleman 2012-05-09 01:15:56 EDT
Can slip one more sprint to get the rest.
Comment 2 Yujie Zhang 2012-05-28 05:15:43 EDT
Tested this issue on devenv_1806, all the names of cartridge are correct.
Comment 3 Yujie Zhang 2012-05-28 08:26:10 EDT
Not sure about how to verify the step:

Unrecognized cartridges should not cause errors (just use id for name)

Could you please give more details?
Comment 4 Clayton Coleman 2012-06-03 20:06:47 EDT
Info was provided via email on friday
Comment 5 Yujie Zhang 2012-06-13 00:57:52 EDT
(In reply to comment #4)
> We prefer to wait ruby-1.9 release on CLI, then test this on website again. Or do you have any other suggestion?
Comment 6 Xiaoli Tian 2012-06-26 01:42:20 EDT
Created attachment 594355 [details]
Ruby1.9 cartridge

Tested this on devenv_1863, ruby-1.9 cartridge is available from CLI, but it's still not available from Web Console.

Create a ruby-1.9 app from CLI and check it from web console, it renders well(see attachment).

So move this bug to verified.

Note You need to log in before you can comment on or make changes to this bug.